# Topsheet Test
title: General results
title_en: Scenario 1
title_de: Szenario 1
description: 'description'

# Input files -------------------------
files:
  base:
    file: "base/bus.general_results.csv"
  case1:
    file: "case1/bus.general_results.csv"

# These are text entry boxes in the UI

# Calculations ------------------------
# these are evaluated top down!
calculations:
  total_m: '{case1.drivenDistance}'
  total_km: 'round(total_m/100)/10'
  parkingSearch_m: '{case1.drivenDistance_parkingSearch}'
  parkingSearch_km: 'round(parkingSearch_m/100)/10'
  parkingTotal_m: '{case1.drivenDistance_parkingTotal}'
  parkingTotal_km: 'round(parkingTotal_m/100)/10'

  parkingSearch_pct: 'round(parkingSearch_m / total_m *1000)/10'
  parkingTotal_pct: 'round(parkingTotal_m / total_m *1000)/10'
  parkingSearchOfParking_pct: 'round(parkingSearch_m / parkingTotal_m *1000)/10'
  
  parkingSearchDurations: '{case1.parkingSearchDurations}'
  averageParkingSearchDurations: round(parkingSearchDurations / {case1.numberParkingActivities} /60 *10)/10
  averageParkingSearchDistances: round(parkingSearch_km / {case1.numberParkingActivities} *10)/10

# Table rows
outputs:
  - title_en: " "
    title_de: " "
    value: total_km
  - title_en: " "
    title_de: " "
    value: parkingSearch_km
  - title_en: " "
    title_de: " "
    value: parkingSearch_pct
  - title_en: " "
    title_de: " "
    value: parkingTotal_km
  - title_en: " "
    title_de: " "
    value: parkingTotal_pct
  - title_en: " "
    title_de: " "
    value: parkingSearchOfParking_pct
  - title_en: " "
    title_de: " "
    value: averageParkingSearchDurations
  - title_en: " "
    title_de: " "
    value: averageParkingSearchDistances
